h2.post-title {
    
}

/* Blogs List */
.blogs-listing .single-post {
    float: left;
    margin-bottom: 40px;
}

.blogs-listing .single-post .post-details {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    height: 100%;
}

.blogs-listing .single-post .post-img-wrap {
    width: 100%;
    height: 210px;
    margin-bottom: 20px;
}

.blogs-listing .single-post .post-img .single-featured-image {
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 10px;
}

.blogs-listing .single-post .post-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blogs-listing .single-post .post-info {
    flex: 1;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.blogs-listing .single-post .post-info .post-title-wrap {
    flex: 1;
}

.blogs-listing .single-post .post-info a.btn {
    width: auto;
    align-self: flex-start;
}

.blogs-listing .single-post .post-category a {
    font-size: 14px;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--secondary-color);
    pointer-events: none;
}

.blogs-listing .single-post .post-title h2 {
    font-family: var(--heading-post);
    font-weight: 700;
    font-size: 22px;
    line-height: 28px;
    letter-spacing: 0;
    vertical-align: middle;
    color: var(--primary-color);
    margin: 10px 0 15px;
}

.blogs-listing .single-post .dir-desc p {
    font-size: 14px;
}

/* Each blogs-listing will have a custom CSS variable for columns */
.blogs-listing {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    /* space between posts */
}

.blogs-listing .single-post {
    flex: 0 0 calc(100% / var(--posts-per-row) - 20px);
}


/* Read More link */
.read-more {
    display: inline-block;
    margin-top: 10px;
    font-weight: 600;
    text-decoration: underline;
}

/* Latest Post Container */
.latest-post-container {
    padding-bottom: 100px;
}

.latest-post-container .latest-post {
    display: flex;
    padding: 50px;
    background: rgba(0, 21, 79, 0.1);
    border-radius: 20px;
}

.latest-post-container .post-content {
    width: 60%;
    display: flex;
    flex-wrap: wrap;
}

.latest-post-container .post-thumbnail {
    width: 40%;
    max-width: 484px;
    border-radius: 10px;
    overflow: hidden;
}

.latest-post-container .post-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.latest-post-container .post-content h2 {
    font-family: var(--body-font);
    color: var(--primary-color);
    font-size: 36px;
    font-weight: 400;
    line-height: 50px;
}

.latest-post-container .post-content a.read-more {
    color: var(--secondary-color);
    font-family: var(--body-font);
    font-size: 18px;
    font-weight: 500;
    line-height: 50px;
    position: relative;
}

.latest-post-container .post-content a.read-more:before {
    content: "";
    width: 100%;
    position: absolute;
    bottom: 0;
    border-bottom: 1px solid;
}

.latest-post-container .post-content a.read-more svg {
    transform: translateY(3px) translateX(0);
    transition: all 0.5s ease;
}

.latest-post-container .post-content a.read-more:hover svg {
    transform: translateY(3px) translateX(10px);
}

/* Filters Container (only used on Blog/Resources pages) */
.filters-posts-contaner {
    padding-bottom: 100px;
}

.filters-posts-contaner .category-filters {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    list-style: none;
    margin-bottom: 50px;
    padding: 0;
    column-gap: 20px;
    display: none;
    /* Mobile toggle handled via JS */
}

.filters-posts-contaner .category-filters li {
    padding: 10px 20px;
    margin: 0 5px 30px;
    cursor: pointer;
    border: 2px solid var(--secondary-color);
    border-radius: 30px;
    color: var(--secondary-color);
    transition: all 0.5s ease;
}

.filters-posts-contaner .category-filters li.active {
    color: var(--primary-color);
    border-color: var(--primary-color);
}

.filters-posts-contaner .category-posts .posts-outer {
    display: flex;
    column-gap: 40px;
}

.filters-posts-contaner .category-posts .posts-outer .post-item {
    border: 2px solid var(--secondary-color);
    padding: 30px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
}

.filters-posts-contaner .category-posts .post-thumbnail {
    width: 100%;
    height: 210px;
    overflow: hidden;
}

.filters-posts-contaner .category-posts .post-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blogs-listing[data-ppp="2"] .single-post {
    width: calc(50% - 14px);
}

.blogs-listing[data-ppp="3"] .single-post {
    width: calc(33.33% - 14px);
}

.blogs-listing[data-ppp="4"] .single-post {
    width: calc(25% - 15px);
    padding: 20px;
}

.blogs-listing .single-post{
    display: flex;
    flex-direction: column;
    background: #fff;
    padding: 40px;
    border-radius: var(--border-radius);
}

.blogs-listing .single-post .post-info .blog-post-date {
    display: none;
}

.content-block.home-resources-posts.list-type-1 {
    padding-bottom: 0;
}

.content-block.home-resources-posts::before {
    content: "";
    position: absolute;
    top: 0px;
    right: 0; 
    width: 100%; 
    height: 100%;
    background-color: var(--light-bg-color); 
}

.content-block.home-resources-posts.list-type-1 .load-more-wrap {
    display: none;
}


@media only screen and (max-width: 1720px) {
    
}

@media only screen and (max-width: 1536px) {
}

@media only screen and (max-width: 1280px) {
    .blogs-listing .single-post{
        padding: 24px;
    }
}

@media only screen and (max-width: 1024px) {
    .blogs-listing .single-post {
        flex: 0 0 calc(50% - 20px);
        padding: 20px;
    }
}

/* Responsive Adjustments */
@media (max-width: 992px) {
    .latest-post-container .latest-post {
        flex-direction: column-reverse;
        padding: 20px;
    }

    .latest-post-container .post-content,
    .latest-post-container .post-thumbnail {
        width: 100%;
    }

    .filters-posts-contaner .category-posts .posts-outer {
        flex-direction: column;
    }

    /* .blogs-listing{
        gap: 0;
    } */

}

@media (max-width: 767px) {
    .blogs-listing .single-post .post-details {
        flex-direction: column;
    }

    .blogs-listing .single-post .post-img-wrap {
        width: 100%;
        height: 50vw;
        margin-right: 0;
    }

    .filters-posts-contaner .category-posts .posts-outer .post-item {
        flex-direction: column-reverse;
        padding: 20px;
        margin-bottom: 40px;
    }

    .blogs-listing .single-post {
        flex: 0 0 100%;
    }

    .content-block.home-resources-posts::before {
        width: 100%;
        height: auto;
        top: 0;
        left: 0;
        border-radius: 0;
    }

    .content-block.home-resources-posts::before {
        width: 100%;
        height: auto;
        top: 0;
        left: 0;
        border-radius: 0; 
    }
}

